#!/bin/bash
# 
# Licensed Materials - Property of IBM
#
# IBM Financial Crimes Insight with Watson PID 5900-A0H  
# IBM Financial Crimes Insight with Watson, Private PID 5737-E41
# 
# (C) Copyright IBM Corp. 2017, 2018  All rights reserved.
# 
# The source code for this program is not published or otherwise divested  
# of its trade secrets, irrespective of what has been deposited with the  
# U. S. Copyright Office. 
# 
# US Government Users Restricted Rights - Use, duplication or 
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
#

set -x
set -e
set -o pipefail

mq-license-check.sh

echo "Changing password for mqm user"
/opt/ibm/fci/scripts/fci-passwd.sh mqm

strmqm ${MQ_QMGR_NAME}

if [ -f /opt/ibm/fci/config/config-migrate.mqsc ]; then
	runmqsc ${MQ_QMGR_NAME} < /opt/ibm/fci/config/config-migrate.mqsc
	mv -f /opt/ibm/fci/config/config-migrate.mqsc /opt/ibm/fci/config/config-migrate.mqsc.done
fi

set +x

# keep the script active
if [ "$1" != "-i" ]
then
	while true
	do
		sleep 10
	done
fi
